from django.contrib import admin
from .models import *
# Register your models here.
class SessionAdmin(admin.ModelAdmin):
    list_display = ("id",'branch','name','price','package_price','package_min_sessions','is_active')

admin.site.register(Session, SessionAdmin)

class PsiAssessmentAdmin(admin.ModelAdmin):
    list_display = ("id",'assessment_choice','sessions_count','doctor','patient','created_by','created_at','assessment_code')

admin.site.register(PsiAssessment, PsiAssessmentAdmin)


class PatientSessionAdmin(admin.ModelAdmin):
    list_display = ('id','patient','session','session_price','is_package','amount_required','created_by','created_at',
                    'initial_payment','related_payment','amount_paid','amount_remaining','doctor_discount','sessions_count','sessions_done','sessions_remain','note')

admin.site.register(PatientSession, PatientSessionAdmin)



class PatientSessionItemAdmin(admin.ModelAdmin):
    list_display = ('id','session_day','hour_slot','session_status','session','entry_datetime',
                    'psi_order','doctor','reception_notes','notes_current','notes_next','entry_status','created_by','created_at')

admin.site.register(PatientSessionItem, PatientSessionItemAdmin)

class PtSsnDebtAdmin(admin.ModelAdmin):
    list_display = ("id","pt_ssn","notes","updated_by","updated_at")
admin.site.register(PtSsnDebt, PtSsnDebtAdmin)


class SessionStatusAdmin(admin.ModelAdmin):
    list_display = ('code','name','is_paid','color_code')
admin.site.register(SessionStatus, SessionStatusAdmin)

class PtSsnPaymentAdmin(admin.ModelAdmin):
    list_display = ('id','pt_ssn','amount_paid','notes','created_by','created_at',"is_wa_sent")
admin.site.register(PtSsnPayment, PtSsnPaymentAdmin)